Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTableUI.KeyHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTableUI.KeyHandler

All Implemented Interfaces:
  `KeyListener`, `EventListener`

Enclosing class:
  BasicTableUI

    public class BasicTableUI.KeyHandler
    extends Object
    implements KeyListener

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicTableUI`.

As of Java 2 platform v1.3 this class is no longer used. Instead `JTable` overrides `processKeyBinding` to dispatch the event to the current `TableCellEditor`.

### Constructor Summary

Constructors
`KeyHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.KeyListener

`keyPressed, keyReleased, keyTyped`

### Constructor Detail

#### KeyHandler

    public KeyHandler()